<!DOCTYPE html>
<html lang="en"> 
<head>
    <title>Fusilli Technical Documentation</title>
    
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    
    <meta name="description" content="Fusilli Technical Documentation">
    <link rel="shortcut icon" href="../favicon.png"> 
    <link href="https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700&display=swap" rel="stylesheet">
    <script defer src="../assets/fontawesome/js/all.min.js"></script>
	<link rel="stylesheet" href="http://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.2/styles/atom-one-dark.min.css">
	<link id="theme-style" rel="stylesheet" href="../assets/css/theme.css">
</head> 

<body class="docs-page">    
    <header class="header fixed-top" id="header">	    
        
    </header>
    
    <div class="docs-wrapper">
	    <div id="docs-sidebar" class="docs-sidebar">
			
	    </div>
	    <div class="docs-content">
		    <div class="container" id="container">
			    <article class="docs-article" id="section-3">
				    <header class="docs-header">
					    <h1 class="docs-heading">Portal User Guide <span class="docs-time">Last updated: 2020-12-01</span></h1>
					    <section class="docs-intro">
						    <p><b>fusilli.io</b> is designed to remove the human bottlenecks from data projects and to make the data accessible to the right people without wasting time.
								The catalog allows you to choose data from different sources using a set of reliable connectors.</p>
								<p>It also insure full compliance to GDPR and CCPA.</p>
								<p>Explained below the <b>fusilli.io</b> key points:</p>
						</section>
				    </header>
				    <section class="docs-section" id="item-3-1">
						<h2 class="section-heading">User Login</h2>
						<p>Open any internet browser and type in the following URL <a href='https://www.fusilli.io' target="_blank">https://www.fusilli.io</a> on the browser’s address bar. </p>
						<p>	Users can login with their personal credentials by:</p>
					<p>- Entering the <b>username</b>.</p>
					<p>- Entering the <b>password</b>.</p>
					<p>Then click on Sign In, in order to continue to the next section and start using the platform.</p>
					<img src="./userGuide/Figure1.UserLogin.png" alt="User Login" style="height: 350px;">
					<p>Figure 1. User Login</p>
					</section>
					<section class="docs-section-sub" id="item-3-1-1">
						<h2 class="section-heading">Forgotten Password</h2>
						<p>In case that a user forgets her/his password, she/he must click on the Forgot Password link below the login button.</p>
						<p>	Once this is done, the user has to insert his/her email address used to login and click on Submit, in order to receive a link for the password reset.</p>
					<img src="./userGuide/Figure2.UserLogin.png" alt="User Login" style="height: 350px;">
					<p>Figure 2. Forgotten Password</p>
					</section>
					
					<section class="docs-section" id="item-3-2">
						<h2 class="section-heading">System Features</h2>
						<p>The <b>Administrator</b> in fusilli.io portal will be able to perform different types of operations such as creating and managing users, roles and projects. System features can be accessed via Administration and Projects main sidebar items.</p>
					</section>
					<section class="docs-section-sub" id="item-3-2-1">
						<h2 class="section-heading">Administration</h2>
						<p>Administration features include the Roles and Users sections. Roles and Users can be accessed by expanding the Administration item of the main sidebar.</p>
						<img src="./adminGuide/administration.png" alt="admin" style="height: 350px;">
					</section>
					<section class="docs-section-sub-2" id="item-3-2-1-1">
						<h3>Roles</h3>
						<p>Administrator is responsible for creating and managing roles, users and projects.
							In addition to the role of Administrator, in fusilli.io, there are 3 main default roles that actively participate in a project workflow. These are common roles in most Big data organizations.
							<ul>
								<li>Data Manager</li>
								<li>Data Owner</li>
								<li>Data Consumer</li>
							</ul>	
						</p>
						<p>The role of the Team Leader is added on top of any other role, and it’s unique for each project. Team Leader can add extra permissions to an existing role and add users to a project.
						</p>
						<p>Each role comes with a customizable set of permissions that can be modified for different usage.</p>
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-1-1">
						<h4>View List Of Roles</h4>
						<p>In order to view the list of all roles, the administrator must go to the <b>Roles</b> section of the main sidebar, which can be found by expanding the Administration menu item.</p>
							<img src="./adminGuide/roleList1.png" alt="roleList1" style="width: 920px;">
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-1-2">
						<h4>View Role Info</h4>
						<p>In order to view more information about a given role, the administrator must click on that role, and a new section will appear on the right side of the screen.</p>
							<img src="./adminGuide/roleList2.png" alt="roleList2" style="width: 920px;">
							<p><br>The table lists all permissions, the granted permissions are marked with <b>On</b> in the <b>Own</b> and <b>All</b> columns. Each default role comes with a pre-configured set of permissions.
							</p>
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-1-3">
						<h4>Create New Role</h4>
						<p>In order to create a new role, the Administrator must click on the New Role button on the right-top side of the screen.
						In the modal view, he/she must insert Title and Description.
						Finally click on the Save button and proceed with the permission editing to finalise role setup.</p>
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-1-4">
						<h4>Edit Existing Role</h4>
						<p>Once the chosen role is selected, on the right panel, click on the pencil icon.</p>
						<img src="./adminGuide/editFeature.png" alt="editRole" style="width: 850px; height: 700px;">
						<p><br>Once clicked on the icon, the right panel will change.</p>
						<img src="./adminGuide/saveFeature.png" alt="saveFeature"style="width: 850px; height: 700px;">
					<p><br>From this panel it’s possible to grant or withdraw the necessary permissions by turning the switches on and off.</p>
					<p>User Permissions are grouped in functional categories, and a user can filter the list for a specific category by using the combobox. Moreover, it’s possible to search for a given permission using the top search bar.</p>
					<p>Finally, click on the <b>Save</b> icon.</p>
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-1-5">
						<h4>Delete Existing Role</h4>
						<p>To delete an existing role from the Roles list, the Administrator must click on the three dots menu icon next to the role to be deleted, and then select the Delete option in the dropdown menu.</p>
					</section>
					<section class="docs-section-sub-2" id="item-3-2-1-2">
						<h3>Users</h3>
						<p>As for the Roles the Administrator can manage everything about the <b>Users</b>.</p>
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-2-1">
						<h4>View List of All Users</h4>
						<p>The administrator can see the list of all the users by clicking the <b>Users</b> item on the main sidebar under the Administrators section.</p>
						<img src="./adminGuide/userList.png" alt="userList" style="width: 920px; ">
						<p><br>From this page the Administrator can see all users with their respective roles, projects, status, and dates of creation and last activity.</p>
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-2-2">
						<h4>Create New User</h4>
						<p>To create a new user, from the User List, the Administrator must click on the top-right button <b>New User</b></p>
						<img src="./adminGuide/createUser.png" style="width: 920px; ">
						<p><br>From this page the administrator can insert all the informations in the proper fields:
							<ul>
								<li>Each user must have a username (1). It’s a mandatory field.</li>
								<li>The administrator can decide if the new user has to be enabled or disabled. (2)</li>
								<li>Can add some personal information about the user. (3)</li>
								<li>Can assign a role to the user. (4)</li>
							</ul>
							Finally, click on the <b>Save</b> button to proceed. (5)</p>
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-2-3">
						<h4>View Existing User Info</h4>
						<p>In the User List page, the Administrator can see the existing user information.</p>
						<img src="./adminGuide/userInfo.png" style="width: 920px; ">
						<p><br>The user must click on the three dots menu button on the right of the selected user (1).
							Then, click on the <b>Info</b> option in the dropdown menu. (2)</p>
							<p>A new modal with all the user info will appear.</p>
						<img src="./adminGuide/userInfo2.png" style="width: 920px; ">	
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-2-4">
						<h4>Edit Existing User Info</h4>
						<p>In order to edit existing user information, the Administrator must select a user from the <b>User List</b> page, and click on the three dots menu icon on the right. (1)</p>
						<img src="./adminGuide/userInfo.png" style="width: 920px; ">
						<p><br>Then, he/she must click on the Edit option of the dropdown menu. (2)</p>
							<p>In the new page, the user will have the possibility to edit fields of User Info.
								Finally, click <b>Save</b>.</p>
						<img src="./adminGuide/editUser.png" style="width: 920px; ">	
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-2-5">
						<h4>Enable User</h4>
						<p>In order to enable an user, the system administrator must click on the three dots menu icon of the disabled user from the <b>User List</b>, and then select <b>Edit</b>.</p>
						<p>Then, in the new page he/she must <b>turn on</b> the <b>Enabled</b> switch, so it turns green.</p>
						<p>Alternatively it’s possible also to click directly on the <b>Enable</b> item of the three dots dropdown menu.</p>
						<img src="./adminGuide/enableUser.png" style="width: 500px; height: 200px;">
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-2-6">
						<h4>Disbale User</h4>
						<p>In order to disable an user, the system administrator must click on the three dots menu icon of the disabled user from the <b>User List</b>, and then select <b>Edit</b>.</p>
						<p>Then, in the new page he/she must <b>turn off</b> the <b>Enabled</b> switch, so it turns grey.</p>
						<p>Alternatively it’s possible also to click directly on the <b>Disable</b> item of the three dots dropdown menu.</p>
						<img src="./adminGuide/disableUser.png" style="width: 500px; height: 200px;">
					</section>
					<section class="docs-section-sub-3" id="item-3-2-1-2-7">
						<h4>Delete User</h4>
						<p>To delete a User from the fusilli.io platform, the administrator must go on the <b>User List</b>.
							Then, he/she must click on the three dots menu icon on the right, and select <b>Delete</b> from the dropdown menu.</p>
					</section>
					<section class="docs-section-sub" id="item-3-2-2">
						<h3>Projects</h3>
						<p>In <b>Fusilli.io Portal</b> can be different projects, so one of the job of the Administrator is to create and mantain all the projects.</p>
					</section>
					<section class="docs-section-sub-2" id="item-3-2-2-1">
						<h4>View Project List</h4>
						<p>The system administrator can access the list of all the projects by selecting the <b>Projects</b> item on the main sidebar.</p>
						<img src="./adminGuide/projectList.png" style="width: 920px;">
						<p><br>By clicking the table header the Administrator can order the projects according to certain criteria such as the date or the status.</p>
						<p>Moreover, it’s possible to search for a project by keywords.</p>
					</section>
					<section class="docs-section-sub-2" id="item-3-2-2-2">
						<h4>View Project Information</h4>
						<p>The Projects page provides a general overview for each project in fusilli.io.</p>
						<p>A project has a title, description, start and end dates, team leader and status.</p>
					</section>
					<section class="docs-section-sub-2" id="item-3-2-2-3">
						<h4>Create New Project</h4>
						<p>A project workspace can be created only by the Administrator.</p>
						<p>In order to do so, he/she must take the following steps:</p>
						<ul>
							<li>Login into the fusilli.io platform as Administrator.</li>
							<li>Click on the <b> Projects </b> section in the main sidebar. (1) <br> Here the user can have a clear view of all the projects in fusilli.io.</li>
							<li>Then click on the <b>New Project</b> button on the top-right corner. (2)</li>
						</ul>
						<img src="./adminGuide/newProject.png" style="width: 920px;">
						<p><br>On the following page the Administrator has to insert the project details:</p>
						<img src="./adminGuide/createProject.png" style="width: 920px;">
						<p><br>The Administrator has to:</p>
						<ul>
							<li>Insert the <b>title</b> of the project. (1)<br>It will be used as an identification name by all the members.</li>
							<li>Insert a brief and self-explanatory <b>description</b> of the project itself. (2)<br>This is not a mandatory field but it’s useful to have a general overview in order to differentiate the project from the other.</li>
							<li>Set a start and an end <b>date</b>. (3)<br>The only mandatory field is the start date. </li>
							<li>Assign the team leader. (4)<br><b>Team Leader</b> is the key reference role able to edit existing projects and coordinate team members.</li>
						</ul>
						<p>Then, click on the <b>Save</b> button in the upper part of the window. (6)</p>
						<p>From now on, the Team Leader will be able to enter the project and invite team members to join.</p>
					</section>
					<section class="docs-section-sub-2" id="item-3-2-2-4">
						<h4>Edit Existing Project</h4>
						<p>In order to edit an existing project, the Administrator must select the project to be modified from the projects list.</p>
						<p>Then, he/she must click on the <b>three dots menu icon</b> on the right side of the selected project. (1)</p>
						<img src="./adminGuide/editProject.png" style="width: 920px;">
						<p><br>Then the <b>Edit</b> item will appear in a dropdown list. (2)</p>
						<p>By clicking it, the user will be able to see a new page, where he/she can update or modify the project.</p>
						<img src="./adminGuide/saveEditProject.png" style="width: 900px;">
						<p><br>From this page the Administrator can:</p>
						<ul>
							<li>Update the title of the project. (1)</li>
							<li>Change or update the description of the project. (2)</li>
							<li>Modify the start or the end date. (3)</li>
							<li>Assign to the project a new team leader. (4)</li>
							<li>Update the status of the project. (5)</li>
						</ul>
						<p>Then, click on the <b>Save</b> button in the upper part of the window. (6)</p>
					</section>
					
					<section class="docs-section-sub" id="item-3-2-3">
						<h2>Overview of fusilli.io Portal</h2>
						<p>Navigation through pages of the fusilli.io Portal is possible by means of Top Bar (1) and Main Menu (2).</p>
						<img src="./userGuide/Figure1.Navigation.png" style="width: 900px;" alt="Navigation">
						<p>Figure 1. Navigation</p>

						Top Bar allows users:
 						<ul>
							<li>Expand or collapse Main Menu by clicking the burger icon</li>
							<li>Open a dropdown list of recent notifications by clicking the bell icon </li>
							<li>Access Edit Profile section or sign out by clicking the user profile picture at the top right</li>
						</ul>

						<p>The Main Menu allows users to access fusilli.io’s core functionalities. Set of menu elements <br>
						varies depending on a particular user profile. Complete list of the Main Menu items include:</p>

						<ul>
							<li>The Project Selector button (1).<br> The button opens a dropdown list of all projects the user participates in and allows to switch between these projects. <br> All menu items below this button are project-related and their content, including homepage, will get updated once another project is selected in the button. </li>
							<img src="./userGuide/Figure1.SwitchButton.png" style="height: 350px;" alt="SwitchButton">
							<p>Figure 1. Project Selector Button</p>

							<li>Menu items are Dashboard, Data Explorer, Data Requests, Pipelines, Governance, Data Cores, Team, Administration, and Projects.</li>
						</ul>
					</section>
					
					<section class="docs-section-sub" id="item-3-2-4">
						<h2>fusilli.io Homepage</h2>
						<p>Navigation through pages of the fusilli.io Portal is possible by means of Top Bar (1) and Main Menu (2).</p>
						<img src="./userGuide/Homepage.Dashboard.png" style="width: 900px;" alt="Homepage">
						<p>Figure 1. Homepage</p>
						<p>Once the user has signed in, she/he will see the fusilli.io main Dashboard that summarises the most impactful data related to a given project.</p>
						
						<p>There’s also the possibility to have two different views by using tabs: (2)</p>

 						<ul>
							<li>The Current Project View, which is limited to a single project per time (i.e. Odyssey).</li>
							<li>Combined Project View, where the user can see combined data from multiple projects.</li>
						</ul>

						<p>The Dashboard is composed of 10 widgets providing key DataOps insights on the selected project. (3)</p>
					</section>

					<section class="docs-section-sub" id="item-3-2-5">
						<h2>Data Explorer</h2>
						<p>The Data Explorer is one of the main blocks upon which fusilli.io is built.</p>
						<p>The Data Explorer section is composed of 4 tabs: Dashboard, Business Glossary, Data Catalog, and Attribute Tags.</p>
						<p>It's related to a specific project, so different projects with different teams will have different metadata available for navigation in Data Explorer.</p>
						<p>Data Consumers can explore enriched metadata in Data Explorer, while the actual data can be obtained only after a Data Manager approves a data request.</p>
						<img src="./userGuide/Homepage.Dashboard.png" style="width: 900px;" alt="Homepage">
						<p>Figure 1. Homepage</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-5-1">
						<h3>Dashboard</h3>
						<p>The dashboard is the default tab of fusilli.io Data Explorer. It summarizes all Entities contained in the Data Explorer by Data Cores, technology, model, and accessibility levels.</p>
						<p>The Data Explorer Dashboard consists of 6 widgets:</p>
						<ul>
							<li>Data Explorer Summary (1) provides key metrics on number of data cores, business terms and attributes.</li>
							<li>Repositories by Technology (2) provides key metrics on breakdown of all repositories by technology. Some key technologies are MySQL, MongoDB, PostgreSQL, Cassandra, SFTP, Kafka.</li>
							<li>Data Cores (3) gives insights for each Data Core, as well as discovered and ingested attributes.</li>
							<li>Accessibility Classification (4) provides a breakdown of data by applied accessibility level.</li>
							<li>Repositories by Model (5) groups all repositories by model. The models in fusilli.io are Model Comma Separated, SQL, NoSQL, and JSON.</li>
							<li>Recently Ingested Business Terms (6) is the list of 5 recently ingested entities by business term.</li>
						</ul>
						<img src="./userGuide/DataExplorer.Dashboard.png" style="width: 900px;" alt="Dashboard">
						<p>Figure 2. Dashboard</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-5-2">
						<h3>Business Glossary</h3>
						<p>fusilli.io gives the possibility to organize and explore enterprise data from two points of view.</p>
						<p>The Business Glossary is the first way to do so. Business Glossary offers a semantic view on the entities by using keywords.</p>
						<p>This provides a possibility for non-technical users to explore available entities by navigating a hierarchy of meaningful business terms. <br> For example, a Data Scientist may not know exactly what data is contained in a specific data core, so he or she would rather explore the Business Glossary.</p>
						<p>Business Glossary structures data according to the following hierarchy (1):</p>
						<ul>
							<li>Attribute</li>
							<li>Entity</li>
							<li>Business Terms</li>
						</ul>
						<img src="./userGuide/DataExplorer.BusinessGlossary.png" style="width: 900px;" alt="Business Glossary">
						<p>Figure 3. Business Glossary</p>
						<p>The only user allowed to create and structure business terms in the Business Glossary is the Data Manager.<br> Business terms in fusilli.io are called keywords. In order to add the first-level keyword, Data Manager has to create a new Root Keyword from the icon next to the search bar.</p>
						
						<img src="./userGuide/DataExplorer.NewRootKeyword.png" style="width: 400px;" alt="Business Glossary">
						<p>Figure 4. Business Glossary</p>

						<p>Each entity can fall under one (if it’s a root keyword) or a sequence of several keywords that it inherits <br> from the upper levels of the Business Glossary tree. The Data Manager can create, edit or delete business terms <br> from the three dots menu dropdown accessible for every business term (keyword) in the tree. <br>
						If the keyword is deleted, all the eventual child keywords and entities will be deleted from the Business Glossary too.</p>

						<p>By clicking the <b>Filters</b> icon in the left side tree pane, the user can search and filter metadata by:</p>
						<ul>
							<li>Owner</li>
							<li>Discovered date</li>
							<li>Last Ingestion date</li>
							<li>Keywords</li>
						</ul>
						<p>In order to start navigating the Business Glossary, the user has to click any item in the hierarchy tree on the left.<br> More information on the selected item will appear followed by the list of clickable child items, if any.<br> The user can also navigate by clicking on slash separated parts of the path on top of the page.</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-5-3">
						<h3>Data Catalog</h3>
						<p>The Data Catalog is the second, alternative to the Business Glossary, way of data exploration provided by fusilli.io.<br> It organizes metadata in a hierarchical structure according to the source of data provenance.<br>
							The position of each attribute here is represented in the logical structure of an Entity (table),<br> described in a data repository. The Data Catalog is a tool designed for users with a technical understanding of data schemas.</p>
						<p>It organizes the metadata according to the following hierarchical structure:</p>
						
						<ul>
							<li>Attribute</li>
							<li>Entity</li>
							<li>Repository</li>
							<li>Data Core</li>
						</ul>
						<img src="./userGuide/DataExplorer.DataCatalog.png" style="width: 900px;" alt="Data Catalog">
						<p>Figure 5. Data Catalog</p>

						<p>By clicking the <b>Filters</b> icon in the left side tree pane, the user can search and filter metadata by data core, <br> repository, entity or attribute, as well as by owner, discovery date, last ingestion, and keywords.</p>

						<p>In order to start navigating the Data Catalog, the user has to click any item in the hierarchy tree on the left.<br> More information on the selected item will appear followed by the list of clickable child items, if any. <br>The user can also navigate by clicking on slash separated parts of the path on top of the page.</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-5-4">
						<h3>Attribute Tags</h3>
						<p>Attribute Tags section provides an automated human-guided way to identify and classify attributes by applying attribute tags.<br> Attribute tags are used for metadata enrichment, as well as to apply governance policies at scale.<br>
							It’s important to note that each attribute can have only one tag. On the contrary, a single tag can be applied to more attributes.</p>
						<p>The Attribute Tags section is available only to the Data Manager.</p>

						<img src="./userGuide/AttributeTags.png" style="width: 900px;" alt="Data Catalog">
						<p>Figure 6. Attribute Tags</p>

						<p>In order to create a new Attribute Tag, the user must click on the top right button <b>New Attribute Tag</b>. <br> In the new page, a user has to select a new <b>Attribute tag label color</b>, insert a <b>tag title</b> and description. <br> Then a user should insert one or multiple related terms, confirm which attributes to tag, and save.</p>
						
					</section>

					<section class="docs-section-sub" id="item-3-2-6">
						<h2>Data Requests</h2>
						<p>In the Data Requests section Data Managers can track and trace all data requests submitted in a specific project.<br>
							By status, they are classified into Approved, Pending and Declined requests. <br>
							Each Data Request has a unique ID which, together with the version, uniquely identifies the request.</p>
						<img src="./userGuide/DataRequest.png" style="width: 900px;" alt="Data Requests">
						<p>Figure 1. Data Requests</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-6-1">
						<h3>Create Data Request</h3>
						<p>A Data Consumer composes Data Requests from Data Explorer and submits them for an approval to a Data Manager.<br>
							The Data Consumer starts with selecting the attributes of interest from the Data Explorer section by checking the box next to each of them and clicking on the blue button <b>Add to my request</b></p>
						<img src="./userGuide/DataRequest.New.png" style="width: 900px;" alt="Data requests">
						<p>Figure 2. New Data Requests</p>

						<p>Once all the attributes have been selected, the user must click on the <b>My Request</b> button on the top right corner of the window. The following page will open.</p>

						<img src="./userGuide/DataRequest.Send.png" style="width: 900px;" alt="Data requests">
						<p>Figure 3. New Data Requests</p>
						
						<p>From this page the user can finalize the request. In particular:</p>
						<ul>
							<li>It’s mandatory to indicate the purpose for the request. (1)</li>
							<li>The user has to Insert a brief description of the intended use. (2)</li>
							<li>The user may specify a target repository where the data will be delivered. (3)</li>
							<li>An overview of the accessibility classification of the data. (4)</li>
							<li>The full list with all the requested data visualised by accessibility classification, by entity and as the list of all requested attributes. (5)</li>
							<li>The comments sidebar where the user can communicate with the Data Manager. (6)</li>
						</ul>

						<p>Finally, click on the <b>Send</b> button to conclude the operation.</p>
						<p>The Data Consumer can see the list of all data requests submitted by him/her in the Data Requests section of the main sidebar</p>

						<img src="./userGuide/DataRequest.Pending.png" style="width: 900px;" alt="Data requests">
						<p>Figure 4. Pending Data Requests</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-6-2">
						<h3>Approve/Decline Data Requests</h3>
						<p>The Data Manager is responsible for reviewing pending data requests and making decisions on whether to approve or decline them. The Data Manager can give feedback to the consumer in the comment sidebar and mark which attributes have to be eliminated from the Data Request. Once a Data Request is approved/declined, its status changes to Approved/Declined.</p>
						

						<img src="./userGuide/DataRequest.Approve.png" style="width: 900px;" alt="Data Approve">
						<p>Figure 5. Data Request Approved</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-6-3">
						<h3>Create a Data Request Version</h3>
						<p>In case a Data Request has been declined by the Data Manager, the Data Consumer has the possibility to update it and submit a new version.</p>
						

						<img src="./userGuide/DataRequest.declined.png" style="width: 900px;" alt="Data Declined">
						<p>Figure 6. Data Request Declines</p>

						<p>In order to do so, the user must click on the <b>three dots menu icon</b> on the right (next to the Status column) and select <b>Create New Version</b> in the dropdown.</p>
						
						<img src="./userGuide/DataRequest.NewVersion.png" style="width: 900px;" alt="Data New Version">
						<p>Figure 7. New Data Request Version</p>

						<p>Here the Data Consumer can:</p>

						<ul>
							<li>See the current and previous versions of the request from the dropdown menu. (1)</li>
							<li>Remove inappropriate attributes in the tab All Attributes. If the Data Manager marked an attribute as inappropriate, it can be recognised by grey italique font.</li>
							<li>Add new attributes from the Data Explorer. (2)</li>
							<li>Leave comments and receive feedback from the Data Manager. (3)</li>
						</ul>

						<p>Finally, the user can proceed with the request by clicking on the <b>Send</b> button.</p>

					</section>

					<section class="docs-section-sub" id="item-3-2-7">
						<h2>Pipelines</h2>
						<p>fusilli.io offers the possibility to build, orchestrate and monitor automated structured and unstructured data ingestion pipelines. Pipelines are saved as reusable templates and can be automatically scheduled to run on a specific day or on a regular basis. fusilli.io supports both batch and streaming data ingestion.</p>
						<p>Pipelines are strictly project-related and can be created by Data Managers, or users with a proper permission. Each Data Manager can run, schedule and edit only her or his own pipelines.</p>
						<img src="./userGuide/Pipeline.Overview.png" style="width: 900px;" alt="Pipelines">
						<p>Figure 1. Pipelines</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-7-1">
						<h3>View Templates List</h3>
						<p>In order to view the Pipeline list, the user must click on the <p>Pipelines</p> section on the sidebar and then on the <p>Templates</p> option.
						<br>In the tab Active, it is possible to see and filter all existing pipelines with a brief summary. The tab Disabled lists all archived pipelines that are no longer used.</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-7-2">
						<h3>Schedule & Run Pipeline Instance</h3>
						<p>On the Template list, the user must click on the <b>Run (or Schedule)</b> button in the bottom of the pipeline card.</p>
						<ul>
							<li>Run. A new page will be opened providing a brief summary of the pipeline. The user must click on the <b>Run</b> button on the upper right corner of the window to launch a new instance of the pipeline.</li>
							<li>Schedule. Here it’s possible to set a date, time and/or frequency for the future instance execution.</li>
						</ul>
						
						<img src="./userGuide/Pipeline.Schedule.png" style="height: 300px;" alt="Pipelines">
						<p>Figure 2. Schedule Pipelines</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-7-3">
						<h3>Edit/Disable existing Pipeline</h3>
						<p>In order to edit a specific pipeline, the Data Manager must click on the <b>three dots menu</b> icon next to the pipeline title. Then, click on the dropdown list item called <b>Edit</b>.</p>
						<img src="./userGuide/Pipeline.Edit.png" style="height: 300px;" alt="Edit Pipeline">
						<p>Figure 3. Edit an existing Pipeline</p>
						<p>In the following pages it’s possible to update:</p>
						<ul>
							<li>Pipeline information: Name, description and associated Data Request.</li>
							<li>Create Jobs: Update pipeline jobs configuration or add/remove tasks from jobs.</li>
							<li>Save: Review all the updates and save.</li>
						</ul>

						<p>In order to disable a specific pipeline, the Data Manager must click on the <b>three dots menu</b> icon next to the pipeline title. Then, click on the dropdown list item called <b>Delete</b>. Please note that pipelines cannot be deleted definitely in fusilli.io; by clicking Delete a user will still be able to find a deleted Pipeline Template in the tab Disabled.</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-7-4">
						<h3>Create New Pipeline</h3>
						<p>fusilli.io provides an interactive wizard in order to simplify the creation of a new pipeline. <br>
							To start, the user must click on the <b>New Template</b> button on the upper right of the window.</p>
						<img src="./userGuide/Pipeline.New1.png" style="width: 900px;" alt="New Pipeline">
						<p>Figure 4. Create New Pipelines</p>
						<p>In the next page the user is guided through the pipeline creation step-by-step. <br>

							In the first step, the user is requested to insert a <b>name</b>, a <b>description</b> and eventual Data Request to associate. (1)</p>
							<p>A pipeline can be created in Pipeline Designer either ad-hoc or in association with 
								an approved Data Request. There are two options:
								</p>
						<ul>
							<li>Select an existing Data Request from the ones previously approved.  (2)</li>
							<li>Compose Pipeline Dataset from the Data Explorer. (In order to do this, the user must leave blank the Data Request field and proceed to the next step)</li>
						</ul>

						<p>Moreover, the user has the possibility to enable governance policies. (3)</p>
						<img src="./userGuide/Pipeline.New2.png" style="width: 900px;" alt="New Pipeline">
						<p>Figure 5. Pipeline Designer</p>

						<p>In the second step, the user defines the pipeline jobs.</p>
						
						<img src="./userGuide/Pipeline.New3.png" style="width: 900px;" alt="New Pipeline">
						<p>Figure 6. Create New Pipelines</p>

						<p>fusilli.io provides a set of predefined jobs. A few of them are listed below:</p>
						<ul>
							<li>Data Input. Data Input is the first job in every pipeline. The user has to define the Job Name and Description (1) and the data to be ingested by selecting attributes from Data Explorer (2). If the pipeline is being built in association with an approved Data Request, Data Input dataset will be automatically populated from the Data Request.</li>
						</ul>
						
						<img src="./userGuide/Pipeline.New4.png" style="height: 300px;" alt="Data Input">
						<p>Figure 7. Data Input</p>
						<ul>
							<li>Concatenate.</li>
              				<li>Split.</li>
              				<li>Rename.</li>
              				<li>Replace.</li>
              				<li>Mockinbird</li>
							<li>Fork. </li>
							<li>Join.</li>
							<li>Matcher.</li>
             	 			<li>Math.</li>
              				<li>Marker</li>
              				<li>Stacker</li>
              				<li>SplitCloner</li>
						</ul>

						<p>After setting-up the first job (Data Input) the user can proceed with creating further pipeline jobs.
							Each job requires a name and description (1), and a type (2).
							</p>
						<p>Please, for further documentation on the fusilli.io Jobs see the <a href="connguide.html#item-5-4-1" target="_blank">related section</a>.</p>
							
							<img src="./userGuide/Pipeline.New5.png" style="height: 300px;" alt="Data Input">
							<p>Figure 8. Save Jobs</p>
						<p>In step 3 of the wizard, the user can review the full pipeline and save it.</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-7-5">
						<h3>View Pipeline Instances</h3>
						<p>A fusilli.io instance is a run of a specific pipeline. All instances are recorded, and each instance has an unique ID. <br>
							An instance can have one of the following statuses:
							</p>
							<ul>
								<li>Succeded</li>
								<li>Failed</li>
								<li>Running</li>
							</ul>
						<p>In order to view the list of all instances, the user must click on the <b>Pipelines</b> item on the sidebar and then select the Instances option.
							The Completed tab groups both succeeded and failed instances.</p>
						<img src="./userGuide/Pipeline.Instances.png" style="width: 900px;" alt="Instances">
						<p>Figure 9. View Pipeline Instances</p>
						
						<p>By clicking on an instance, a detailed info page will appear.
							On this page, the user has a possibility to download a rudder file, which contains logs and further info about the instance. <br>
							
							The user can re-run the instance by clicking the <b>Run</b> button in the top right corner. In this case, an instance with a new ID will be created.
							</p>

							<img src="./userGuide/Pipeline.DetailInstances.png" style="width: 900px;" alt="Detailed Instances">
							<p>Figure 10. View Pipeline Details</p>						
					</section>

					<section class="docs-section-sub" id="item-3-2-8">
						<h2>Governance</h2>
						<p>fusilli.io provides an automated approach to Data Governance covering all the features regarding accessibility and anonymisation policies. fusilli.io classifies data in five levels based on its sensitivity, and fusilli.io users can choose from various embedded anonymisation methods
							to automatically enforce anonymisation policies. fusilli.io’s automated human-guided Smart Tagging makes it easy to identify and classify data and apply proper policies at scale.
							</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-8-1">
						<h3>View Governance Dashboard</h3>
						<p>In fusilli.io, data can be classified according to five levels according to accessibility, from the most accessible one (Public) to the most restricted (Personal):
							</p>
							<ul>
								<li>Public</li>
								<li>Internal</li>
								<li>Restricted</li>
								<li>Confidential</li>
								<li>Personal</li>
							</ul>
						<p>In order to view the Governance Dashboard the user must click on the <b>Governance</b> item (1) on the main sidebar and then on the Dashboard (2) item.</p>
						<img src="./userGuide/Governance.Dashboard.png" style="width: 900px;" alt="Instances">
						<p>Figure 1. View Governance Dashboard</p>					
					</section>


					<section class="docs-section-sub-2" id="item-3-2-8-2">
						<h3>View List of Policies</h3>
						<p>In order to view the list of policies the user must click on the <b>Governance</b> item (1) on the main sidebar and then on the <b>Policies</b> (2) item.</p>
							<img src="./userGuide/Governance.Policies.png" style="width: 900px;" alt="policies">
						<p>Figure 2. View List of Policies</p>
						
						<p>Each policy is characterised by Status, Description, Tags, Pseudonymisation method and accessibility classification.</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-8-3">
						<h3>View Policies Info</h3>
						<p>It’s possible to view the policy info by clicking on the <b>three dots menu</b> icon on the right and selecting <b>View Info</b> from the dropdown.<br>
							Once the modal view will appear, the user will be able to see the policy info.
							In case a red danger icon appears, it means that the policy has expired.
							</p>
							<img src="./userGuide/Governance.PoliciesInfo.png" style="height: 300px;" alt="policies">
						<p>Figure 3. Policy info</p>
						
					</section>

					<section class="docs-section-sub-2" id="item-3-2-8-4">
						<h3>Edit Existing Policies</h3>
						<p>Only the Team Leader and the Data Manager have the possibility to edit the existing policies. 
							Team Leader can edit all existing policies, instead Data Manager only the ones she/he has created.</p>

						<p>In order to edit an existing policy, in the policies list, the user must click on the <b>three dots menu</b> icon on the right of the policy to edit.
							Then, click on the <b>Edit</b> option.</p>

						<p>On the Edit Policy page, a user can update the policy information, as well as the expiration date.</p>
						<p>Finally click on the <b>Save</b> button.</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-8-5">
						<h3>Create New Policies</h3>
						<p>Only the Team Leader and the Data Manager have the possibility to create new policies. <br>

							In order to do so, the user must click on the <b>New Policy</b> button on the policies list.</p>
							<img src="./userGuide/Governance.NewPolicy.png" style="width: 900px;" alt="policies">
						<p>Figure 4. Create new policy</p>

						<p>On the new window the user can:</p>
						<ul>
							<li>Add Title and Description info. (1)</li>
							<li>Insert a tag to be covered by the new policy. (2)</li>
							<li>Choose the Pseudonymisation method from the dropdown menu. (3)</li>
							<li>Give an Accessibility Classification from the set of permissions. (4)</li>
							<li>Define an expiration date for the policy. (5)</li>

						</ul>
					</section>


					<section class="docs-section-sub" id="item-3-2-9">
						<h2>Data Cores</h2>
						<p>Data Cores are one of the most important blocks in fusilli.io. Data Cores are a logical boundary of data repositories. Each data core groups repositories relating to a specific enterprise data domain.
							</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-9-1">
						<h3>View List of Data Cores</h3>
						<p>Only the Data Owner and the Team Leader can see the list of Data Cores.</p>
							<img src="./userGuide/DataCores.Figure1.png" style="width: 900px;" alt="data cores">
						<p>Figure 1. Data Cores</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-9-2">
						<h3>View Data Core and Repository Info</h3>
						<p>In order to view the information of a single Data Core the user must click on the <b>three dots menu</b> icon in the headline of each card. 
							Then, select <b>Info</b> in the dropdown list.</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-9-3">
						<h3>Edit Existing Data Cores</h3>
						<p>Only Data Owners can edit existing Data Cores.</p>
						<img src="./userGuide/DataCores.Edit.png" style="width: 900px;" alt="data cores">
						<p>Figure 2. Edit Data Cores</p>

						<p>To do so, the user must click on the <b>three dots menu</b> icon on the top right corner of the Data Core card and then select the <b>Edit</b> option from the dropdown.</p>

					</section>

					<section class="docs-section-sub-2" id="item-3-2-9-4">
						<h3>Create New Data Cores</h3>
						<p>Only Data Owners can create a new data core.
							In order to do so the user must click on the <b>New Data Core</b> button on the top right corner of the window.</p>
						<img src="./userGuide/DataCores.New.png" style="width: 900px;" alt="data cores">
						<p>Figure 3. New Data Cores</p>

						<p>The user must define a <b>name</b> and a <b>description</b> for the new Data Core. <br>
							Then, save and proceed with the repositories. <br>
							Each Data Core groups some repositories. <br>
							Each repository is differentiated by Description, Technology and Model.</p>
							
							<img src="./userGuide/DataCores.Repo.png" style="width: 900px;" alt="data cores">
							<p>Figure 4. New Data Cores</p>
						<p>Then the user must connect the repository by selecting the <b>Set Access</b> option from the three dots menu dropdown on the right. The final step is to complete metadata discovery, fusilli.io offers three ways to do this:</p>
						
						<ul>
							<li>1 Autodiscovery. The user has to select the Autodiscovery option from the three dots menu dropdown.</li>
							<li>2 Upload schema. The user has to select the Import template option from the three dots menu dropdown.</li>
							<li>3 Upload fusilli template. The user has to select the Import template option from the three dots menu dropdown.</li>
						</ul>
						<p>Finally, click on <b>Save</b>.</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-9-5">
						<h3>Edit Existing Repository</h3>
						<p>In the Edit Data Core section the Data Owner will find all the connected repositories.</p>
						<img src="./userGuide/DataCores.RepoEdit.png" style="width: 900px;" alt="data cores">
						<p>Figure 5. Edit Repository</p>

						<p>Click on the <b>Edit</b> icon in order to make some updates.<br>
							Finally, click on the <b>Save</b> button.</p>

					</section>

					<section class="docs-section-sub-2" id="item-3-2-9-6">
						<h3>Delete Existing Repository</h3>
						<p>In the Edit Data Core section the Data Owner will find all the connected repositories. <br>
							To delete an existing repository, the user must click on the <b>three dots menu</b> icon on the right of the repository and select the <b>Delete</b> option from the dropdown menu.</p>

					</section>

					<section class="docs-section-sub" id="item-3-2-10">
						<h2>Team</h2>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-10-1">
						<h3>View Project's Team Members List</h3>
						<p>In order to view the project’s team member list, a user must click on the <b>Team</b> section on the main sidebar. On this page, users can see the list of all team members that participate in a given project, their email addresses, roles, and other info.</p>
						<p>Each Team has a unique Team Leader whose Username is marked with an icon on the right. She/he is in charge of monitoring the members of a project, granting them permissions and roles.</p>
						
						<img src="./userGuide/Figure1.TeamList.png" style="width: 900px;" alt="team">
						<p>Figure 1. View Team Members</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-10-2">
						<h3>View Project's Team Member's Info</h3>
						<p>In order to view Project’s team member’s info, from the member list, a user must click on the <b>three dots menu</b> icon on the right side of the selected member.
							Then, she/he must click on the <b>Info</b> option in the dropdown.</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-10-3">
						<h3>Manage Project's Team Members</h3>
						<p>Only a Team Leader can manage the project's team members.</p>
						<p>First, make sure that the Project selector corresponds to the right project to manage. (1)</p>
						<p>Then, in the Team section of the sidebar, click on the <b>Manage Members</b> button on the top right side of the window. (2)</p>
						<p>Finally, the Team Leader can add a member to the project by turning the <b>switch on</b>, or remove a member by turning the <b>switch off.</b></p>
						<img src="./userGuide/Figure2.TeamList.png" style="width: 900px;" alt="team">
						<p>Figure 2. Manage Team Members</p>
					</section>

					<section class="docs-section-sub" id="item-3-2-11">
						<h2>User Settings</h2>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-11-1">
						<h3>Update Default Settings</h3>
						<p>Each user has the possibility to edit the default settings provided in fusilli.io .
							In order to do so, she/he must click on the <b>profile</b> icon on the top right of the screen and then on the <b>Edit Profile</b> button on the dropdown view.</p>
							<img src="./userGuide/Figure1.UsersPref.png" style="height: 300px;" alt="user settings">
							<p>Figure 1. Update User Settings</p>
							<p>On the new view the user must click on the third tab, the one called <b>Default Settings</b>.</p>
							<img src="./userGuide/Figure2.UsersPref.png" style="width: 900px;" alt="user settings">
							<p>Figure 2. Update User Settings</p>
							<p>Finally, from this last window the user can update all the default settings:</p>
							<ul>
								<li>Default project assigned.</li>
								<li>Preferred number format.</li>
								<li>The Date format.</li>
								<li>Timezone</li>
							</ul>
							<p>Click on <b>Save</b>, to make the changes active.</p>
							<img src="./userGuide/Figure3.UsersPref.png" style="width: 900px;" alt="user settings">
							<p>Figure 3. Update User Settings</p>
					</section>

					<section class="docs-section-sub-2" id="item-3-2-11-2">
						<h3>Update Personal Information and Password Reset</h3>
						<p>In order to update personal information, click on the <b>profile</b> icon on the top right corner of the window, then select <b>Edit Profile</b>.</p>
							<img src="./userGuide/Figure1.UsersPref.png" style="height: 300px;" alt="user settings">
							<p>Figure 4. Update User Settings</p>
							<p>On the personal information tab the user can edit:</p>
							<ul>
								<li>The profile picture (1). It can be uploaded from the user device.</li>
								<li>Personal Info (2). Such as Name, Email, Phone, a brief description and date of birth.</li>
							</ul>
							<p>Finally, click on the <b>Save</b> button.</p>
							<img src="./userGuide/Figure1.UserInformazioni.png" style="width: 900px;" alt="user settings">
							<p>Figure 5. Update User Settings</p>

							<p>In order to change the password, the user must go to the <b>Password</b> tab, next to Personal information.
								Here, the user must type the <b>old password</b> and a <b>new</b> one. 
								It’s important to make sure that the new password conforms to the security requirements.
								Finally, click on the <b>Change Password</b> button.</p>
					</section>


					<section class="docs-section-sub" id="item-3-2-12">
						<h2>Notifications</h2>
						<p>fusilli.io provides two different types of notifications:</p>
						<ul>
							<li>Alert. Alerts are sent in order to inform the user about actions related to her/him.</li>
							<li>Update. Updates are sent to encourage the user to take an action.</li>
						</ul>
						
						<img src="./userGuide/Notifications.png" style="width: 900px;" alt="notifications">
							<p>Figure 1. Notifications</p>
							<p>Each section has its own kind of notifications.</p>
						
							<img src="./userGuide/Notifications1.png" style="width: 700px;" alt="notifications">
							<img src="./userGuide/Notifications2.png" style="width: 700px;" alt="notifications">


					</section>



					</section>
			    </article>

			    <footer class="footer">
				    <div class="container text-center py-5">
				        <ul class="social-list list-unstyled pt-4 mb-0">
						    <li class="list-inline-item"><a href="#"><i class="fab fa-github fa-fw"></i></a></li> 
				            <li class="list-inline-item"><a href="#"><i class="fab fa-twitter fa-fw"></i></a></li>
				            <li class="list-inline-item"><a href="#"><i class="fab fa-slack fa-fw"></i></a></li>
				            <li class="list-inline-item"><a href="#"><i class="fab fa-product-hunt fa-fw"></i></a></li>
				            <li class="list-inline-item"><a href="#"><i class="fab fa-facebook-f fa-fw"></i></a></li>
				            <li class="list-inline-item"><a href="#"><i class="fab fa-instagram fa-fw"></i></a></li>
				        </ul>
				    </div>
			    </footer>
		    </div> 
	    </div>
    </div>
    
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="../assets/plugins/popper.min.js"></script>
    <script src="../assets/plugins/bootstrap/js/bootstrap.min.js"></script>  
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.8/highlight.min.js"></script>
    <script src="../assets/js/highlight-custom.js"></script> 
    <script src="../assets/plugins/jquery.scrollTo.min.js"></script>
    <script src="../assets/plugins/lightbox/dist/ekko-lightbox.min.js"></script> 
	<script src="../assets/js/docs.js"></script>
	
	<script>
		$(document).ready(function () {
			const params = new URLSearchParams(window.location.search)
			if (params.has('search')) {
				var searchbox = document.getElementById('search');
				searchbox.value = params.get('search');
			};
		});

		function searchDoc() {
			//alert($("#search-warn").is(":visible"));
			if ($("#search-warn").is(":visible")) {
				$("#search-warn").toggle();
			};

			var minLength = 3;
			var searchVal = $(document.getElementById('search')).val().trim().toLowerCase();
			//alert(searchVal.length < minLength);
			if (searchVal.length < minLength) {
				$("#search-warn").toggle();
			} else {
				$("#container *").filter(function() {
					//alert($(this).text().toLowerCase().indexOf(value));
					//$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
					//alert($(this).text());
				});
			}
			return false;
		};
	</script>

<!-- Start: Global site tag (gtag.js) - Google Analytics -->
<script async src="https://www.googletagmanager.com/gtag/js?id=UA-179633743-1"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-179633743-1');
</script>

<!-- End: Global site tag (gtag.js) - Google Analytics  -->

</body>
</html> 

